Bug 126864 - CAN-2004-0493 folding header DoS
Summary: CAN-2004-0493 folding header DoS
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-28 15:21 UTC by Mark J. Cox
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 2.0.50-2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-20 09:16:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-06-28 15:21:32 UTC
Apache 2.0.49 places no limit on the amount of folding of input
headers, or in the total length after folding.  With an input stream
with infinite headers to be folded, the server will allocate as much
memory as the system will allow, possibly leading to a denial of
service.  

Public by Georgi Guninski to full-disclosure list Jun28

CAN-2004-0493 Affects: FC1
CAN-2004-0493 Affects: FC2

Comment 1 Robert Scheck 2004-06-29 20:54:26 UTC
The Apache team provides a patch solving this vulnerability:

http://www.apache.org/dist/httpd/patches/apply_to_2.0.49/CAN-2004-0493.patch

This patch applies and works for me with httpd-2.0.49 fine, here.

Comment 2 Joe Orton 2004-07-20 09:16:16 UTC
Fixed by http://fedoranews.org/updates/FEDORA-2004-204.shtml.



Note You need to log in before you can comment on or make changes to this bug.